Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved] vmware-server-2.0.2.203138 - Can't start webAccess
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
cyro
n00b
n00b


Joined: 17 Mar 2010
Posts: 2

PostPosted: Wed Mar 17, 2010 3:05 am    Post subject: [Solved] vmware-server-2.0.2.203138 - Can't start webAccess Reply with quote

Hi,
I use Gentoo hardened on AMD Athlon64.
I installed vmware-server-2.0.2.203138 and tried to start it but unable to access it through the web.
The host on http://localhost:8222/ throws '503 Service Unavailable'.
After tracking the problem (adding 'set -x' on vmware startup scripts), I found that the problem is the JRE used to start webAccess is killed.

Quote:
/opt/vmware/server/bin/vmware-watchdog -s webAccess -u 30 -q 5 '/opt/vmware/server/lib/webAccess/java/jre1.5.0_15/bin/webAccess -client -Xmx64m -XX:MinHeapFreeRatio=30 -XX:MaxHeapFreeRatio=30 -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Djava.endorsed.dirs=/opt/vmware/server/lib/webAccess/tomcat/apache-tomcat-6.0.16/common/endorsed -classpath /opt/vmware/server/lib/webAccess/tomcat/apache-tomcat-6.0.16/bin/bootstrap.jar:/opt/vmware/server/lib/webAccess/tomcat/apache-tomcat-6.0.16/bin/commons-logging-api.jar -Dcatalina.base=/opt/vmware/server/lib/webAccess/tomcat/apache-tomcat-6.0.16 -Dcatalina.home=/opt/vmware/server/lib/webAccess/tomcat/apache-tomcat-6.0.16 -Djava.io.tmpdir=/opt/vmware/server/lib/webAccess/tomcat/apache-tomcat-6.0.16/temp org.apache.catalina.startup.Bootstrap start
.

I guess that '/opt/vmware/server/lib/webAccess/java/jre1.5.0_15/bin/webAccess' is a renamed 'java', so I tried to start it using system's JVM and it works !
Now I can access vmware server through the web.

I do not know why the JRE shipped with vmware is killed, and I do not know the (security) implication of using system's JVM to start vmware-server webAccess.
Well, at least it works ... for now.



These are my system's specification:

Quote:
Linux unreal 2.6.28-hardened-r9-k8-004 #1 SMP Tue Jan 26 14:25:58 WIT 2010 x86_64 AMD Athlon(tm) 64 Processor 3500+ AuthenticAMD GNU/Linux

java version "1.6.0_17"
Java(TM) SE Runtime Environment (build 1.6.0_17-b04)
Java HotSpot(TM) 64-Bit Server VM (build 14.3-b01, mixed mode)

Portage 2.1.6.13 (hardened/linux/amd64/10.0, gcc-4.3.4, glibc-2.9_p20081201-r2, 2.6.28-hardened-r9-k8-004 x86_64)
=================================================================
System uname: Linux-2.6.28-hardened-r9-k8-004-x86_64-AMD_Athlon-tm-_64_Processor_3500+-with-gentoo-1.12.13
Timestamp of tree: Sun, 14 Mar 2010 22:30:01 +0000
ccache version 2.4 [enabled]
app-shells/bash: 4.0_p35
dev-java/java-config: 2.1.9-r2
dev-lang/python: 2.6.4, 3.1.1-r1
dev-util/ccache: 2.4-r7
dev-util/cmake: 2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox: 1.6-r2
sys-devel/autoconf: 2.13, 2.63-r1
sys-devel/automake: 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils: 2.18-r3
sys-devel/gcc: 3.4.6-r2, 4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool: 2.2.6b
virtual/os-headers: 2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://komo.vlsm.org/gentoo/"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl amd64 berkdb bzip2 cli cracklib crypt cups cxx dri gdbm gpm hardened iconv justify mmx modules mudflap multilib ncurses nls nptl nptlonly openmp pam pcre perl pic pppd python readline reflection session spl sse sse2 ssl sysfs tcpd urandom xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa via vmware voodoo"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum